# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class CalendarAclRole

    java.lang.Object
      com.google.gdata.data.calendar.CalendarAclRole

    public final class CalendarAclRole

extends java.lang.Object

A holder for calendar-specific ACL roles (their semantics are described in `AccessLevelProperty`).

Field Summary
`static AclRole` `EDITOR` Google Calendar "EDITOR" ACL role
`static AclRole` `FREEBUSY` Google Calendar "FREEBUSY" ACL role
`static AclRole` `NONE` Generic "NONE" ACL role (support demanded by the ACL feeds design doc)
`static AclRole` `OVERRIDE` Google Calendar "OVERRIDE" ACL role
`static AclRole` `OWNER` Google Calendar "OWNER" ACL role
`static AclRole` `READ` Google Calendar "READ" ACL role
`static AclRole` `RESPOND` Google Calendar "RESPOND" ACL role
`static AclRole` `ROOT` Google Calendar "ROOT" ACL role

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT

    public static final AclRole ROOT

  Google Calendar "ROOT" ACL role

### OWNER

    public static final AclRole OWNER

  Google Calendar "OWNER" ACL role

### EDITOR

    public static final AclRole EDITOR

  Google Calendar "EDITOR" ACL role

### OVERRIDE

    public static final AclRole OVERRIDE

  Google Calendar "OVERRIDE" ACL role

### RESPOND

    public static final AclRole RESPOND

  Google Calendar "RESPOND" ACL role

### FREEBUSY

    public static final AclRole FREEBUSY

  Google Calendar "FREEBUSY" ACL role

### READ

    public static final AclRole READ

  Google Calendar "READ" ACL role

### NONE

    public static final AclRole NONE

  Generic "NONE" ACL role (support demanded by the ACL feeds design doc)